*$ CREATE USRRNC.FOR
*COPY USRRNC
*
*=== Usrrnc ===========================================================*
*
      SUBROUTINE USRRNC ( IZ, IA, IS, X, Y, Z, MREG, WEE, ICALL )

      INCLUDE '(DBLPRC)'
      INCLUDE '(DIMPAR)'
      INCLUDE '(IOUNIT)'
*
*----------------------------------------------------------------------*
*                                                                      *
*     Copyright (C) 2005-2005      by    Alfredo Ferrari & Paola Sala  *
*     All Rights Reserved.                                             *
*                                                                      *
*                                                                      *
*     USeR Residual NuClei:                                            *
*                                                                      *
*     Created on   06 april 2005   by    Alfredo Ferrari & Paola Sala  *
*                                                   Infn - Milan       *
*                                                                      *
*     Last change on 06-apr-05     by    Alfredo Ferrari               *
*                                                                      *
*                                                                      *
*----------------------------------------------------------------------*
*
      LOGICAL LFIRST
      SAVE LFIRST, NREG1
      DATA LFIRST /.TRUE./
      CHARACTER*8 MRGNAM, NRGNAM
*
      DIMENSION KA (4), KZ (4), BRDAUG (4), T12DAU (4), IDCDAU (4)
      DOUBLE PRECISION HALFTIME
*
      IF (LFIRST) THEN
        WRITE(LUNOUT,*) 'Version juju usrrnc called'
        LFIRST = .FALSE.
        OPEN ( UNIT = 80, FILE = "recnucc")
        MRGNAM = 'TARGET ' ! 8 characters!
        CALL GEON2R( MRGNAM, NREG1, IERR)
        IF(IERR.EQ.1) CALL FLABRT ('USRRNC', MRGNAM // ' not found')
        WRITE(LUNOUT,*) MRGNAM, NREG1
      ENDIF
*
      IF(MREG .EQ. NREG1 .AND. IZ .NE. 1) THEN
	    HALFTIME = TIM1O2 ( IA,IZ, KA, KZ,
     &  T12DAU, BRDAUG, IDCDAU, IS )
        WRITE(80,'(1P,10G25.15)') IZ, IA, IS, X, Y, Z, WEE, HALFTIME
      ENDIF
      RETURN
*=== End of subroutine Usrrnc =========================================*
      END
